html, body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  background: white;
  font-family: "neue-haas-grotesk-display", sans-serif;
  font-weight: 500;
  font-style: normal;
  margin-top: 10px;
}

.header-projects {
        margin-bottom: 3px;
        margin-top: 20px;
        margin-left: 90px;
      }
      
.header-projects h1 {
        font-size: 2.5rem;
        margin-bottom: 5px;
        margin-top: 20px;
        font-family: "bricolage-grotesque", sans-serif;
        font-weight: 500;
        font-style: normal;
      }

  .filter-bar {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 20px;
    margin-bottom: 20px;
    margin-right: 90px;
    margin-top: 2%;
  }

  .filter-bar select {
    height: 30px;
  }

.grid-view {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
    margin-left: 90px;
    margin-right: 90px;
  }

/* Different images for each project */
.project-weather {
    background-image: url('./assets/00_weather/weather.png'); 
}
.project-cyan {
    background-image: url('./assets/01_cyan/cyan.png'); 
}
.project-censorship {
    background-image: url('./assets/02_censorship/IMG_7382.jpg');
}
.project-nanzer {
  background-image: url('./assets/03_nanzer/color.jpg');
}
.project-kindergarden {
  background-image: url('./assets/04_kindergarden/motion-2-screenshot.jpg');
}
.project-safewalk {
  background-image: url('./assets/05_safewalk/safe_walk_logo.png'); 
  background-color: black;
}
.project-chaos {
  background-image: url('./assets/06_chaos/mgcover.png'); 
}
.project-plant1 {
  background-image: url('./assets/07_plant1/F1_Overlapp_4.jpg'); 
}
.project-app {
  background-image: url('./assets/08_app/Pictures/00_design-elements.png');
}
.project-speaker {
  background-image: url('./assets/09_speaker/Pictures/Object_Photos/DSC_9023.jpg');
}
.project-space {
  background-image: url('./assets/10_space/Pictures/Silent_messengers_1.png');
}
.project-magica {
  background-image: url('./assets/11_magica/IMG_0353.png');
}

  @media (max-width: 768px) {
    .grid-view {
      grid-template-columns: 1fr;
      margin-left: 20px;
      margin-right: 20px;
    }
    .header-projects {
      margin-left: 30px;
      font-size: 2rem;
    }

  }

  section {
    margin-left: 90px;
  }

  a {
	color: black;
	text-decoration: none;
  }
  
  a:hover {
	text-decoration: underline;
  }

  .project-title {
    font-size: 1.5rem;
    font-family: "bricolage-grotesque", sans-serif;
    font-weight: 500;
    font-style: normal;
    margin-bottom: 5px;
  }

  .project-category {
    font-size: 0.9rem;
    margin-bottom: 5px;
  }

  .project-link {
    display: block;
    text-decoration: none;
    position: relative;
    color: inherit;
  }
  
  .project-item {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    transition: transform 0.3s ease;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 300px;
  }
  
  .project-item:hover {
    transform: scale(1.01);
  }
  
  /* Overlay for hover effect */
  .project-overlay {
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 30%, rgba(0, 0, 0, 0.6) 100%);
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 1;
  }
  
  .project-item:hover .project-overlay {
    opacity: 1;
  }
  
  /* Project details on top */
  .project-details {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    text-align: center;
    color: white;
  }
  
  /* Text shadow for better visibility */
  .project-title,
  .project-category {
    text-shadow: 0 2px 5px rgba(0, 0, 0, 0.9);
  }

  footer {
    text-align: left;
    padding: 10px;
    margin-top: auto;

    a {
      color: white;
      text-decoration: none;
      }
  }

  footer.footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    color:  white;
    background:  black;
    padding: 30px 60px;
    gap: 30px;
    margin-top: 2%;
  }
  .footer-col {
    flex: 1;
    min-width: 200px;
    margin-left: 90px;
  }
  .footer-col p,
  .footer-col a {
    margin: 6px 0;
    font-size: 0.9rem;
  }
  .contact {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .contact-button {
    padding: 12px 24px;
    background-color: white;
    color: black;
    border-radius: 8px;
    font-weight: bold;
    text-decoration: none;
    transition: background-color 0.3s ease;
  }
  
  .contact-button:hover {
    background-color: black;
    color: white;
    text-decoration: none;
    border: 1px solid white
  }

  @media (max-width: 768px) {
    .filter-bar {
      margin-bottom: 20px;
      margin-right: 40px;
      margin-top: 2%;
    }
    footer.footer {
      flex-direction: row;
      flex-wrap: nowrap;
      padding: 20px 10px;
      gap: 10px;
    }

    .footer-col {
      margin-left: 30px;
      flex: 1;
      min-width: unset;
    }
  
    .footer-col p,
    .footer-col a {
      font-size: 0.65rem;
      margin: 4px 0;
    }
  
    .contact-button {
      padding: 8px 12px;
      font-size: 0.65rem;
      max-width: 100%;
    }
  }
